=== debian/changelog ===
ros-one-costmap-converter (0.0.13-2jammy.20251023.1127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 23 Oct 2025 11:27:59 +0000

ros-one-costmap-converter (0.0.13-0jammy) jammy; urgency=high

  * Changed minimum CMake version to 3.1
  * Fixed wrong return type of method pointToNeighborCells
  * OpenCV 4 compatibility fix (Thanks to daviddudas)
  * Contributors: Christoph Rösmann, daviddudas

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 13 May 2020 00:00:00 -0000

ros-one-costmap-converter (0.0.12-0jammy) jammy; urgency=high

  * CostmapToPolygons: Simplification of the polygon by Douglas-Peucker algorithm (reduces the density of points in the polygon).
  * Bugfixes
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 02 Dec 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.11-0jammy) jammy; urgency=high

  * rostest integration to avoid running a roscore separately for unit testing
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.10-0jammy) jammy; urgency=high

  * Runtime improvements for CostmapToPolygonsDBSMCCH (#12 <https://github.com/rst-tu-dortmund/costmap_converter/issues/12>)
    * Grid lookup for regionQuery
    * use a grid structure for looking up nearest neighbors
    * parameters in a struct
    * guard the parameters by drawing a copy from dynamic reconfigure
    * Adding some test cases for regionQuery and dbScan
    * Avoid computing sqrt at the end of convexHull2
    * Add doxygen comments for the neighbor lookup
    * Change the param read to one liners
    * Add test on empty map for dbScan
  * Contributors: Rainer Kümmerle

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Sat, 26 Oct 2019 00:00:00 -0000

ros-one-costmap-converter (0.0.9-0jammy) jammy; urgency=high

  * Moved plugin loader for static costmap conversion to BaseCostmapToDynamicObstacles.
    The corresponding ROS parameter static_converter_plugin is now defined in the CostmapToDynamicObstacles namespace.
  * Contributors: Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 28 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.8-0jammy) jammy; urgency=high

  * Standalone converter subscribes now to costmap updates. Fixes #1 <https://github.com/rst-tu-dortmund/costmap_converter/issues/1>
  * Adds radius field for circular obstacles to ObstacleMsg
  * Stacked costmap conversion (#7 <https://github.com/rst-tu-dortmund/costmap_converter/issues/7>).
    E.g., it is now possible combine a dynamic obstacle and static obstacle converter plugin.
  * Contributors: Christoph Rösmann, Franz Albers

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Thu, 17 May 2018 00:00:00 -0000

ros-one-costmap-converter (0.0.7-0jammy) jammy; urgency=high

  * Fixed some compilation issues (C++11 compiler flags and opencv2 on indigo/jade).
  * Dynamic obstacle plugin: obstacle velocity is now published for both x and y coordinates rather than the absolute value

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 20 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.6-0jammy) jammy; urgency=high

  * This pull request adds the costmap to dynamic obstacles plugin (written by Franz Albers).
    It detects the dynamic foreground of the costmap (based on the temporal evolution of the costmap)
    including blobs representing the obstacles. Furthermore, Kalman-based tracking is applied to estimate
    the current velocity for each obstacle.
    **Note, this plugin is still experimental.**
  * New message types are introduced: costmap_converter::ObstacleMsg and costmap_converter::ObstacleArrayMsg.
    These types extend the previous polygon representation by additional velocity, orientation and id information.
  * The API has been extended to provide obstacles via the new ObstacleArrayMsg type instead of vector of polygons.
  * Contributors: Franz Albers, Christoph Rösmann

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 18 Sep 2017 00:00:00 -0000

ros-one-costmap-converter (0.0.5-0jammy) jammy; urgency=high

  * Major changes regarding the line detection based on the convex hull
    (it should be much more robust now).
  * Concave hull plugin added.
  * The cluster size can now be limited from above using a specific parameter.
    This implicitly avoids large clusters forming a 'L' or 'U'.
  * All parameters can now be adjusted using dynamic_reconfigure (rqt_reconfigure).
  * Some parameter names changed.
  * Line plugin based on ransac: line inliers must now be placed inbetween the start and end of a line.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 01 Feb 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.4-0jammy) jammy; urgency=high

  * Fixed conversion from map to world coordinates if the costmap is not quadratic.

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Mon, 11 Jan 2016 00:00:00 -0000

ros-one-costmap-converter (0.0.3-0jammy) jammy; urgency=high

  * The argument list of the initialize method requires a nodehandle from now on. This facilitates the handling of parameter namespaces for multiple instantiations of the plugin.
  * This change is pushed immediately as a single release to avoid API breaks (since version 0.0.2 is not on the official repos up to now).

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Wed, 23 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.2-0jammy) jammy; urgency=high

  * Added a plugin for converting the costmap to lines using ransac

 -- Christoph Rösmann <christoph.roesmann@tu-dortmund.de>  Tue, 22 Dec 2015 00:00:00 -0000

ros-one-costmap-converter (0.0.1-0jammy) jammy; urgency=high


