=== debian/control ===
Source: ros-one-costmap-converter
Section: misc
Priority: optional
Maintainer: Christoph Rösmann <christoph.roesmann@tu-dortmund.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-generation, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Homepage: http://wiki.ros.org/costmap_converter
Standards-Version: 3.9.2

Package: ros-one-costmap-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Description: A ros package that includes plugins and nodes to convert occupied costmap2d cells to primitive types.
